Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.resource.image.animatedgif
Class NeuQuant

    java.lang.Object
      org.ajax4jsf.resource.image.animatedgif.NeuQuant

    public class NeuQuant

extends java.lang.Object

Field Summary
`protected static int` | `ALPHABIASSHIFT`
`protected int` | `alphadec`
`protected static int` | `ALPHARADBIAS`
`protected static int` | `ALPHARADBSHIFT`
`protected static int` | `BETA`
`protected static int` | `BETAGAMMA`
`protected static int` | `BETASHIFT`
`protected int[]` | `bias`
`protected int[]` | `freq`
`protected static int` | `GAMMA`
`protected static int` | `GAMMASHIFT`
`protected static int` | `INITALPHA`
`protected static int` | `INITRAD`
`protected static int` | `INITRADIUS`
`protected static int` | `INTBIAS`
`protected static int` | `INTBIASSHIFT`
`protected int` | `lengthcount`
`protected static int` | `MAXNETPOS`
`protected static int` | `MINPICTUREBYTES`
`protected static int` | `NCYCLES`
`protected static int` | `NETBIASSHIFT`
`protected int[]` | `netindex`
`protected static int` | `NETSIZE`
`protected int[][]` | `network`
`protected static int` | `PRIME1`
`protected static int` | `PRIME2`
`protected static int` | `PRIME3`
`protected static int` | `PRIME4`
`protected static int` | `RADBIAS`
`protected static int` | `RADBIASSHIFT`
`protected static int` | `RADIUSBIAS`
`protected static int` | `RADIUSBIASSHIFT`
`protected static int` | `RADIUSDEC`
`protected int[]` | `radpower`
`protected int` | `samplefac`
`protected byte[]` | `thepicture`

Constructor Summary
`NeuQuant(byte[] thepic, int len, int sample)`

Method Summary
`protected void` | `alterneigh(int rad, int i, int b, int g, int r)`
`protected void` | `altersingle(int alpha, int i, int b, int g, int r)`
`byte[]` | `colorMap()`
`protected int` | `contest(int b, int g, int r)`
`void` | `inxbuild()`
`void` | `learn()`
`int` | `map(int b, int g, int r)`
`byte[]` | `process()`
`void` | `unbiasnet()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NETSIZE

    protected static final int NETSIZE

See Also:
  Constant Field Values

### PRIME1

    protected static final int PRIME1

See Also:
  Constant Field Values

### PRIME2

    protected static final int PRIME2

See Also:
  Constant Field Values

### PRIME3

    protected static final int PRIME3

See Also:
  Constant Field Values

### PRIME4

    protected static final int PRIME4

See Also:
  Constant Field Values

### MINPICTUREBYTES

    protected static final int MINPICTUREBYTES

See Also:
  Constant Field Values

### MAXNETPOS

    protected static final int MAXNETPOS

See Also:
  Constant Field Values

### NETBIASSHIFT

    protected static final int NETBIASSHIFT

See Also:
  Constant Field Values

### NCYCLES

    protected static final int NCYCLES

See Also:
  Constant Field Values

### INTBIASSHIFT

    protected static final int INTBIASSHIFT

See Also:
  Constant Field Values

### INTBIAS

    protected static final int INTBIAS

See Also:
  Constant Field Values

### GAMMASHIFT

    protected static final int GAMMASHIFT

See Also:
  Constant Field Values

### GAMMA

    protected static final int GAMMA

See Also:
  Constant Field Values

### BETASHIFT

    protected static final int BETASHIFT

See Also:
  Constant Field Values

### BETA

    protected static final int BETA

See Also:
  Constant Field Values

### BETAGAMMA

    protected static final int BETAGAMMA

See Also:
  Constant Field Values

### INITRAD

    protected static final int INITRAD

See Also:
  Constant Field Values

### RADIUSBIASSHIFT

    protected static final int RADIUSBIASSHIFT

See Also:
  Constant Field Values

### RADIUSBIAS

    protected static final int RADIUSBIAS

See Also:
  Constant Field Values

### INITRADIUS

    protected static final int INITRADIUS

See Also:
  Constant Field Values

### RADIUSDEC

    protected static final int RADIUSDEC

See Also:
  Constant Field Values

### ALPHABIASSHIFT

    protected static final int ALPHABIASSHIFT

See Also:
  Constant Field Values

### INITALPHA

    protected static final int INITALPHA

See Also:
  Constant Field Values

### RADBIASSHIFT

    protected static final int RADBIASSHIFT

See Also:
  Constant Field Values

### RADBIAS

    protected static final int RADBIAS

See Also:
  Constant Field Values

### ALPHARADBSHIFT

    protected static final int ALPHARADBSHIFT

See Also:
  Constant Field Values

### ALPHARADBIAS

    protected static final int ALPHARADBIAS

See Also:
  Constant Field Values

### alphadec

    protected int alphadec

### thepicture

    protected byte[] thepicture

### lengthcount

    protected int lengthcount

### samplefac

    protected int samplefac

### network

    protected int[][] network

### netindex

    protected int[] netindex

### bias

    protected int[] bias

### freq

    protected int[] freq

### radpower

    protected int[] radpower

Constructor Detail

### NeuQuant

    public NeuQuant(byte[] thepic,
                    int len,
                    int sample)

Method Detail

### colorMap

    public byte[] colorMap()

### inxbuild

    public void inxbuild()

### learn

    public void learn()

### map

    public int map(int b,
                   int g,
                   int r)

### process

    public byte[] process()

### unbiasnet

    public void unbiasnet()

### alterneigh

    protected void alterneigh(int rad,
                              int i,
                              int b,
                              int g,
                              int r)

### altersingle

    protected void altersingle(int alpha,
                               int i,
                               int b,
                               int g,
                               int r)

### contest

    protected int contest(int b,
                          int g,
                          int r)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.